<div dir="ltr"><div class="gmail_default" style="font-family:times new roman,serif;font-size:large">Today I got a number of deprecated error messages in my pmwiki after setting up php to version 8.1.2 on arch linux. There seem to be new warnings in case of unset parameters to preg_repalce, strlen or strncmp.</div><div class="gmail_default" style="font-family:times new roman,serif;font-size:large">That happens for examplin pmwiki.php:</div><div class="gmail_default" style="font-family:times new roman,serif;font-size:large"><br></div><div class="gmail_default" style="font-family:times new roman,serif;font-size:large">Passing null to parameter #3 ($subject) of type array|string is deprecated in <b>pmwiki.php</b> on line <b>75</b></div><div class="gmail_default" style="font-family:times new roman,serif;font-size:large"><br></div><div class="gmail_default" style="font-family:times new roman,serif;font-size:large">and also in some skin/cookbook scripts.<b><br></b></div><div class="gmail_default" style="font-family:times new roman,serif;font-size:large"><b><br></b></div><div class="gmail_default" style="font-family:times new roman,serif;font-size:large">Will there be a Version 2.3.2 with corrections?</div><div class="gmail_default" style="font-family:times new roman,serif;font-size:large"><br></div><div class="gmail_default" style="font-family:times new roman,serif;font-size:large">Greetings,</div><div class="gmail_default" style="font-family:times new roman,serif;font-size:large">J├╝rgen Godau<b><br></b></div></div>